Page MenuHomePhabricator

Add information about the newcomers landing page on the MediaWiki homepage
Closed, ResolvedPublic

Description

The goal of this task to add information about the newcomers guide on the MediaWiki homepage which currently is a work in progress in T169599. Technical Collaboration is working on the newcomers guide, which is one of the tasks of the team’s Onboarding new developers program & also part of team's efforts to revising documentation focusing new developers.

Most likely, once we have the landing page in shape, we are planning to modify the "Developing & Extending" section on the MediaWiki home page and include clear links for newcomers and experienced developers to get started.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2017, 9:47 PM
srishakatux updated the task description. (Show Details)Jul 11 2017, 9:48 PM

Indeed, the "Developing & Extending" box welcomes improvements.
My personal point of view is thinking "What would I like to achieve when going to https://www.mediawiki.org/w/index.php?title=MediaWiki&oldid=2301969 ?"
Which is pretty much T653: Refresh the mediawiki.org homepage (which is as Epic as it could get).

I would not necessarily want to throw yet another link into the mix but also potentially rethink the sidebar (to start somewhere) and make people find relevant developer resources via an improved version of "How to contribute". Which currently throws a lot of non-self-explanatory colorful links at me and does not explain what I can do. See T169599: Sort out concept for overview/entrance pages targeting our developer audience.

Currently

  • the sidebar has an item "Contribute".
  • the "New opportunities" (what?!) has an item "Other ways to contribute..."
  • the "Development" section in the sidebar links to random infrastructure. I don't see how that is helpful, compared to a guide how to use that infrastructure.

I would not necessarily want to throw yet another link into the mix

Agreed! Retook a look at the page, and realized, growing another tulip in the field will not help. Even though revamping the MediaWiki homepage is a distant dream right now, I will think about some ideas for re-touching a bit all the sections that are all taking us to sometimes same & sometimes confusing venues. And, the "Development" sidebar.. the one in small fonts that my eyes behind big glasses were not able to recognize yet, could indeed be the first small, easy task of this task :P

srishakatux lowered the priority of this task from Low to Lowest.Jan 2 2018, 9:38 PM
srishakatux raised the priority of this task from Lowest to Low.
srishakatux moved this task from Oct-Dec 2017 to To triage on the Developer-Advocacy board.
srishakatux removed srishakatux as the assignee of this task.Mar 26 2018, 5:45 PM
Aklapper closed this task as Resolved.Aug 1 2018, 2:20 PM

Well... I made some edits on https://www.mediawiki.org/wiki/Template:Main_page/devs_text so this page is linked now as the first item in "Developing & Extending".

Qgil awarded a token.Aug 2 2018, 3:17 PM